#include <stdio.h>
#include "guess_fstype.h"

#ifndef NULL
#	define NULL 0
#endif

int main(int argc, char *argv[]){
	char *type;
	if (argc == 2){
		type = guess_fstype(argv[1]); 
		printf("%s\n", type==NULL?"unknown":type);
	}else{
		printf("Usage: %s device\n", argv[0]);
	}
	return 0;
}
